搜尋資料會在使用時載入。亦可直接瀏覽下方分類。

排程及發佈

取消 Threads 有序串文

以最新完整版本取消尚未送出的串文項目,保留草稿、受理身份及已發佈內容;不能撤回已送出的不明平台請求。

POST /studio-api/threads-sequences/cancel

Contract 核對日期: · sha256:11debf801a5e6096

概覽

以最新完整版本取消尚未送出的串文項目,保留草稿、受理身份及已發佈內容;不能撤回已送出的不明平台請求。

HTTP 成功只表示本次操作的回應。背景工作須保留回傳 ID,並讀取同一操作,直至達到文件指定的終態。接受請求、排程成功或客戶端逾時,均不代表已發佈。

驗證及權限

接受的憑證類型
user_session, delegated_oauth, personal_access_token
委派權限
agent:publish
最低工作空間角色
editor
存取範圍
已登入用戶及獲授權資源範圍
需要所有工作空間同意
否
會改動狀態
是
完成依據
canonical per-Post terminal outcomes; atomic admission is not publication and successful prefixes are never recreated

憑證不能擴大持有人的權限。實際操作仍會檢查工作空間成員資格、資源擁有權、已選工作空間及能力授權。Tool profile 只會改變可見工具,不會授予權限。

請求欄位

必填表示在所屬物件及所選分支內必須提供;子欄位必填不代表可選的父物件亦變成必填。以下欄位名稱及規則直接來自 contract。

請求欄位
欄位/分支類型/必填限制
$object父物件內必填
  • additionalProperties: false
workspace_idstring父物件內必填
  • format: "uuid"
  • pattern: "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
idstring父物件內必填
  • format: "uuid"
  • pattern: "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
expected_versioninteger父物件內必填
  • maximum: 9007199254740991
  • exclusiveMinimum: 0
expected_versionsobject父物件內必填
  • additionalProperties: {"type":"integer","exclusiveMinimum":0,"maximum":9007199254740991}
expected_versions.*integer可選/陣列項目
  • maximum: 9007199254740991
  • exclusiveMinimum: 0
完整 JSON Schema
{
  "$schema": "https://json-schema.org/draft/2020-12/schema",
  "type": "object",
  "properties": {
    "workspace_id": {
      "type": "string",
      "format": "uuid",
      "pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
    },
    "id": {
      "type": "string",
      "format": "uuid",
      "pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
    },
    "expected_version": {
      "type": "integer",
      "exclusiveMinimum": 0,
      "maximum": 9007199254740991
    },
    "expected_versions": {
      "type": "object",
      "propertyNames": {
        "type": "string",
        "pattern": "^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$"
      },
      "additionalProperties": {
        "type": "integer",
        "exclusiveMinimum": 0,
        "maximum": 9007199254740991
      }
    }
  },
  "required": [
    "workspace_id",
    "id",
    "expected_version",
    "expected_versions"
  ],
  "additionalProperties": false
}

回應及完成條件

成功 HTTP 狀態碼: 200. 完成依據: canonical per-Post terminal outcomes; atomic admission is not publication and successful prefixes are never recreated.

HTTP 成功只表示本次操作的回應。背景工作須保留回傳 ID,並讀取同一操作,直至達到文件指定的終態。接受請求、排程成功或客戶端逾時,均不代表已發佈。

必填表示在所屬物件及所選分支內必須提供;子欄位必填不代表可選的父物件亦變成必填。以下欄位名稱及規則直接來自 contract。

回應及完成條件
欄位/分支類型/必填限制
$object父物件內必填—
sequenceobject父物件內必填—
sequence.workspace_idstring父物件內必填
  • format: "uuid"
  • pattern: "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
sequence.idstring父物件內必填
  • format: "uuid"
  • pattern: "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
sequence.social_account_idstring父物件內必填
  • format: "uuid"
  • pattern: "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
sequence.versioninteger父物件內必填
  • maximum: 9007199254740991
  • exclusiveMinimum: 0
sequence.statestring父物件內必填
  • enum: ["draft","admitted","cancelled"]
sequence.item_countinteger父物件內必填
  • minimum: 2
  • maximum: 25
sequence.caption_previewstring父物件內必填
  • maxLength: 500
sequence.created_atstring父物件內必填
  • format: "date-time"
  • pattern: "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z|([+-](?:[01]\\d|2[0-3]):[0-5]\\d)))$"
sequence.updated_atstring父物件內必填
  • format: "date-time"
  • pattern: "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z|([+-](?:[01]\\d|2[0-3]):[0-5]\\d)))$"
sequence.itemsarray父物件內必填
  • minItems: 2
  • maxItems: 25
sequence.items[]object可選/陣列項目—
sequence.items[].item_idstring父物件內必填
  • format: "uuid"
  • pattern: "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
sequence.items[].ordinalinteger父物件內必填
  • minimum: 1
  • maximum: 25
sequence.items[].draftobject父物件內必填—
sequence.items[].draft.idstring父物件內必填
  • format: "uuid"
  • pattern: "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
sequence.items[].draft.workspace_idstring父物件內必填
  • format: "uuid"
  • pattern: "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
sequence.items[].draft.revisioninteger父物件內必填
  • maximum: 9007199254740991
  • exclusiveMinimum: 0
sequence.items[].draft.statestring父物件內必填
  • enum: ["draft","submitting","submitted"]
sequence.items[].draft.contentobject父物件內必填—
sequence.items[].draft.content.schemaVersionnumber父物件內必填
  • const: 1
  • default: 1
sequence.items[].draft.content.accountIdsarray父物件內必填
  • maxItems: 50
  • default: []
sequence.items[].draft.content.accountIds[]string可選/陣列項目
  • format: "uuid"
  • pattern: "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
sequence.items[].draft.content.captionstring父物件內必填
  • maxLength: 5000
  • default: ""
sequence.items[].draft.content.hashtagsstring父物件內必填
  • maxLength: 5000
  • default: ""
sequence.items[].draft.content.assetIdsarray父物件內必填
  • maxItems: 20
  • default: []
sequence.items[].draft.content.assetIds[]string可選/陣列項目
  • maxLength: 16
  • pattern: "^[1-9][0-9]*$"
sequence.items[].draft.content.threadsTextOnlyboolean父物件內必填
  • default: false
sequence.items[].draft.content.threadsOptionsobject可選/陣列項目—
sequence.items[].draft.content.threadsOptions.post_typestring可選/陣列項目
  • enum: ["TEXT","IMAGE","VIDEO","CAROUSEL","REPOST"]
sequence.items[].draft.content.threadsOptions.reply_to_idstring可選/陣列項目
  • maxLength: 128
sequence.items[].draft.content.threadsOptions.quote_post_idstring可選/陣列項目
  • maxLength: 128
sequence.items[].draft.content.threadsOptions.repost_target_idstring可選/陣列項目
  • maxLength: 128
sequence.items[].draft.content.threadsOptions.reply_controlstring可選/陣列項目
  • enum: ["everyone","accounts_you_follow","mentioned_only","parent_post_author_only","followers_only"]
sequence.items[].draft.content.threadsOptions.enable_reply_approvalsboolean可選/陣列項目—
sequence.items[].draft.content.threadsOptions.link_attachmentstring可選/陣列項目
  • maxLength: 2048
sequence.items[].draft.content.threadsOptions.poll_attachmentobject可選/陣列項目—
sequence.items[].draft.content.threadsOptions.poll_attachment.option_astring父物件內必填
  • maxLength: 25
sequence.items[].draft.content.threadsOptions.poll_attachment.option_bstring父物件內必填
  • maxLength: 25
sequence.items[].draft.content.threadsOptions.poll_attachment.option_cstring可選/陣列項目
  • maxLength: 25
sequence.items[].draft.content.threadsOptions.poll_attachment.option_dstring可選/陣列項目
  • maxLength: 25
sequence.items[].draft.content.threadsOptions.gif_attachmentobject可選/陣列項目—
sequence.items[].draft.content.threadsOptions.gif_attachment.gif_idstring父物件內必填
  • maxLength: 128
sequence.items[].draft.content.threadsOptions.gif_attachment.providerstring父物件內必填
  • const: "GIPHY"
sequence.items[].draft.content.threadsOptions.text_attachmentobject可選/陣列項目—
sequence.items[].draft.content.threadsOptions.text_attachment.plaintextstring父物件內必填
  • maxLength: 10000
sequence.items[].draft.content.threadsOptions.text_attachment.link_attachment_urlstring可選/陣列項目
  • maxLength: 2048
sequence.items[].draft.content.threadsOptions.text_attachment.text_with_styling_infoarray可選/陣列項目
  • maxItems: 100
sequence.items[].draft.content.threadsOptions.text_attachment.text_with_styling_info[]object可選/陣列項目—
sequence.items[].draft.content.threadsOptions.text_attachment.text_with_styling_info[].offsetinteger父物件內必填
  • minimum: 0
  • maximum: 9007199254740991
sequence.items[].draft.content.threadsOptions.text_attachment.text_with_styling_info[].lengthinteger父物件內必填
  • maximum: 9007199254740991
  • exclusiveMinimum: 0
sequence.items[].draft.content.threadsOptions.text_attachment.text_with_styling_info[].styling_infoarray父物件內必填
  • minItems: 1
sequence.items[].draft.content.threadsOptions.text_attachment.text_with_styling_info[].styling_info[]string可選/陣列項目
  • enum: ["bold","italic","highlight","underline","strikethrough"]
sequence.items[].draft.content.threadsOptions.topic_tagstring可選/陣列項目
  • maxLength: 50
sequence.items[].draft.content.threadsOptions.text_entitiesarray可選/陣列項目
  • maxItems: 10
sequence.items[].draft.content.threadsOptions.text_entities[]object可選/陣列項目—
sequence.items[].draft.content.threadsOptions.text_entities[].entity_typestring父物件內必填
  • enum: ["SPOILER","spoiler"]
sequence.items[].draft.content.threadsOptions.text_entities[].offsetinteger父物件內必填
  • minimum: 0
  • maximum: 9007199254740991
sequence.items[].draft.content.threadsOptions.text_entities[].lengthinteger父物件內必填
  • maximum: 9007199254740991
  • exclusiveMinimum: 0
sequence.items[].draft.content.threadsOptions.is_spoiler_mediaboolean可選/陣列項目—
sequence.items[].draft.content.threadsOptions.is_ghost_postboolean可選/陣列項目—
sequence.items[].draft.content.threadsOptions.location_idstring可選/陣列項目
  • maxLength: 128
sequence.items[].draft.content.threadsOptions.allowlisted_country_codesarray可選/陣列項目
  • minItems: 1
  • maxItems: 249
sequence.items[].draft.content.threadsOptions.allowlisted_country_codes[]string可選/陣列項目
  • pattern: "^[A-Z]{2}$"
sequence.items[].draft.content.threadsOptions.crossreshare_to_igboolean可選/陣列項目—
sequence.items[].draft.content.threadsOptions.crossreshare_to_ig_dark_modeboolean可選/陣列項目—
sequence.items[].draft.content.threadsOptions.auto_publish_textboolean可選/陣列項目—
sequence.items[].draft.content.threadsOptions.media_optionsarray可選/陣列項目
  • maxItems: 20
sequence.items[].draft.content.threadsOptions.media_options[]object可選/陣列項目—
sequence.items[].draft.content.threadsOptions.media_options[].asset_idinteger父物件內必填
  • maximum: 9007199254740991
  • exclusiveMinimum: 0
sequence.items[].draft.content.threadsOptions.media_options[].alt_textstring可選/陣列項目
  • minLength: 1
  • maxLength: 1000
sequence.items[].draft.content.threadsOptions.media_options[].is_spoiler_mediaboolean可選/陣列項目—
sequence.items[].draft.content.instagramModestring父物件內必填
  • enum: ["IMAGE","REELS","CAROUSEL","STORY_IMAGE","STORY_VIDEO"]
  • default: "REELS"
sequence.items[].draft.content.youtubeTitlestring父物件內必填
  • maxLength: 100
  • default: ""
sequence.items[].draft.content.youtubePrivacystring父物件內必填
  • enum: ["private","unlisted","public"]
  • default: "private"
sequence.items[].draft.content.youtubeSyntheticboolean父物件內必填
  • default: false
sequence.items[].draft.content.youtubeCategoryIdstring父物件內必填
  • maxLength: 32
  • default: ""
sequence.items[].draft.content.youtubeShortboolean父物件內必填
  • default: false
sequence.items[].draft.content.linkUrlstring父物件內必填
  • maxLength: 2048
  • default: ""
sequence.items[].draft.content.scheduledAtstring父物件內必填
  • maxLength: 64
  • default: ""
sequence.items[].draft.content.displayTimezonestring父物件內必填
  • minLength: 1
  • maxLength: 128
  • default: "UTC"
sequence.items[].draft.content.publishNowboolean父物件內必填
  • default: false
sequence.items[].draft.content.destinationOverridesobject父物件內必填
  • default: {}
  • additionalProperties: {"type":"object","properties":{"caption":{"type":"string","maxLength":5000},"scheduledAt":{"type":"string","maxLength":64}}}
sequence.items[].draft.content.destinationOverrides.*object可選/陣列項目—
sequence.items[].draft.content.destinationOverrides.*.captionstring可選/陣列項目
  • maxLength: 5000
sequence.items[].draft.content.destinationOverrides.*.scheduledAtstring可選/陣列項目
  • maxLength: 64
sequence.items[].draft.content.expiresAtstring父物件內必填
  • maxLength: 64
  • default: ""
sequence.items[].draft.created_bystring | null父物件內必填—
sequence.items[].draft.created_byanyOf 1string父物件內必填
  • format: "uuid"
  • pattern: "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
sequence.items[].draft.created_byanyOf 2null父物件內必填—
sequence.items[].draft.updated_bystring | null父物件內必填—
sequence.items[].draft.updated_byanyOf 1string父物件內必填
  • format: "uuid"
  • pattern: "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
sequence.items[].draft.updated_byanyOf 2null父物件內必填—
sequence.items[].draft.created_atstring父物件內必填
  • format: "date-time"
  • pattern: "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z|([+-](?:[01]\\d|2[0-3]):[0-5]\\d)))$"
sequence.items[].draft.updated_atstring父物件內必填
  • format: "date-time"
  • pattern: "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z|([+-](?:[01]\\d|2[0-3]):[0-5]\\d)))$"
sequence.items[].draft.submissionobject | null父物件內必填—
sequence.items[].draft.submissionanyOf 1object父物件內必填—
sequence.items[].draft.submission.idanyOf 1string父物件內必填
  • format: "uuid"
  • pattern: "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
sequence.items[].draft.submission.expected_revisionanyOf 1integer父物件內必填
  • maximum: 9007199254740991
  • exclusiveMinimum: 0
sequence.items[].draft.submission.started_atanyOf 1string父物件內必填
  • format: "date-time"
  • pattern: "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z|([+-](?:[01]\\d|2[0-3]):[0-5]\\d)))$"
sequence.items[].draft.submission.receiptanyOf 1object | null父物件內必填—
sequence.items[].draft.submission.receiptanyOf 1 / anyOf 1object父物件內必填—
sequence.items[].draft.submission.receipt.batch_idanyOf 1 / anyOf 1string | null父物件內必填—
sequence.items[].draft.submission.receipt.batch_idanyOf 1 / anyOf 1 / anyOf 1string父物件內必填
  • format: "uuid"
  • pattern: "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
sequence.items[].draft.submission.receipt.batch_idanyOf 1 / anyOf 1 / anyOf 2null父物件內必填—
sequence.items[].draft.submission.receipt.successesanyOf 1 / anyOf 1array父物件內必填
  • maxItems: 50
sequence.items[].draft.submission.receipt.successes[]anyOf 1 / anyOf 1object可選/陣列項目—
sequence.items[].draft.submission.receipt.successes[].social_account_idanyOf 1 / anyOf 1string父物件內必填
  • format: "uuid"
  • pattern: "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
sequence.items[].draft.submission.receipt.successes[].post_idanyOf 1 / anyOf 1string父物件內必填
  • pattern: "^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$"
sequence.items[].draft.submission.receipt.failuresanyOf 1 / anyOf 1array父物件內必填
  • maxItems: 50
sequence.items[].draft.submission.receipt.failures[]anyOf 1 / anyOf 1object可選/陣列項目—
sequence.items[].draft.submission.receipt.failures[].social_account_idanyOf 1 / anyOf 1string父物件內必填
  • format: "uuid"
  • pattern: "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
sequence.items[].draft.submission.receipt.failures[].codeanyOf 1 / anyOf 1string父物件內必填
  • minLength: 1
  • maxLength: 160
sequence.items[].draft.submission.receipt.failures[].messageanyOf 1 / anyOf 1string父物件內必填
  • maxLength: 2000
sequence.items[].draft.submission.receiptanyOf 1 / anyOf 2null父物件內必填—
sequence.items[].draft.submissionanyOf 2null父物件內必填—
sequence.items[].draft.brand_contextobject | null可選/陣列項目—
sequence.items[].draft.brand_contextanyOf 1object可選/陣列項目—
sequence.items[].draft.brand_context.workspace_idanyOf 1string父物件內必填
  • format: "uuid"
  • pattern: "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
sequence.items[].draft.brand_context.selectionanyOf 1object父物件內必填—
sequence.items[].draft.brand_context.selection.profile_idanyOf 1string父物件內必填
  • format: "uuid"
  • pattern: "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
sequence.items[].draft.brand_context.selection.version_idanyOf 1string父物件內必填
  • format: "uuid"
  • pattern: "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
sequence.items[].draft.brand_context.selection.revisionanyOf 1integer父物件內必填
  • maximum: 9007199254740991
  • exclusiveMinimum: 0
sequence.items[].draft.brand_context.selection.content_digestanyOf 1string父物件內必填
  • pattern: "^[a-f0-9]{64}$"
sequence.items[].draft.brand_context.selection.context_digestanyOf 1string父物件內必填
  • pattern: "^[a-f0-9]{64}$"
sequence.items[].draft.brand_context.availabilityanyOf 1string父物件內必填
  • enum: ["available","missing"]
sequence.items[].draft.brand_context.profile_stateanyOf 1string | null父物件內必填—
sequence.items[].draft.brand_context.profile_stateanyOf 1 / anyOf 1string父物件內必填
  • enum: ["active","archived"]
sequence.items[].draft.brand_context.profile_stateanyOf 1 / anyOf 2null父物件內必填—
sequence.items[].draft.brand_context.contentanyOf 1object | null父物件內必填—
sequence.items[].draft.brand_context.contentanyOf 1 / anyOf 1object父物件內必填—
sequence.items[].draft.brand_context.content.nameanyOf 1 / anyOf 1string父物件內必填
  • maxLength: 120
sequence.items[].draft.brand_context.content.audienceanyOf 1 / anyOf 1string父物件內必填
  • maxLength: 2000
sequence.items[].draft.brand_context.content.voiceanyOf 1 / anyOf 1string父物件內必填
  • maxLength: 2000
sequence.items[].draft.brand_context.content.languageanyOf 1 / anyOf 1string | null父物件內必填—
sequence.items[].draft.brand_context.content.languageanyOf 1 / anyOf 1 / anyOf 1string父物件內必填
  • minLength: 1
  • maxLength: 64
sequence.items[].draft.brand_context.content.languageanyOf 1 / anyOf 1 / anyOf 2null父物件內必填—
sequence.items[].draft.brand_context.content.preferred_termsanyOf 1 / anyOf 1array父物件內必填
  • maxItems: 50
sequence.items[].draft.brand_context.content.preferred_terms[]anyOf 1 / anyOf 1string可選/陣列項目
  • minLength: 1
  • maxLength: 120
sequence.items[].draft.brand_context.content.prohibited_termsanyOf 1 / anyOf 1array父物件內必填
  • maxItems: 50
sequence.items[].draft.brand_context.content.prohibited_terms[]anyOf 1 / anyOf 1string可選/陣列項目
  • minLength: 1
  • maxLength: 120
sequence.items[].draft.brand_context.content.locked_factsanyOf 1 / anyOf 1array父物件內必填
  • maxItems: 50
sequence.items[].draft.brand_context.content.locked_facts[]anyOf 1 / anyOf 1string可選/陣列項目
  • minLength: 1
  • maxLength: 500
sequence.items[].draft.brand_context.content.call_to_actionanyOf 1 / anyOf 1string | null父物件內必填—
sequence.items[].draft.brand_context.content.call_to_actionanyOf 1 / anyOf 1 / anyOf 1string父物件內必填
  • maxLength: 1000
sequence.items[].draft.brand_context.content.call_to_actionanyOf 1 / anyOf 1 / anyOf 2null父物件內必填—
sequence.items[].draft.brand_context.contentanyOf 1 / anyOf 2null父物件內必填—
sequence.items[].draft.brand_context.sourcesanyOf 1object父物件內必填—
sequence.items[].draft.brand_context.sources.websiteanyOf 1string父物件內必填
  • enum: ["available","not_available"]
sequence.items[].draft.brand_context.sources.logoanyOf 1string父物件內必填
  • enum: ["none","present","missing"]
sequence.items[].draft.brand_context.sources.own_postsanyOf 1object父物件內必填—
sequence.items[].draft.brand_context.sources.own_posts.selectedanyOf 1integer父物件內必填
  • minimum: 0
  • maximum: 10
sequence.items[].draft.brand_context.sources.own_posts.availableanyOf 1integer父物件內必填
  • minimum: 0
  • maximum: 10
sequence.items[].draft.brand_context.sources.own_posts.unavailableanyOf 1integer父物件內必填
  • minimum: 0
  • maximum: 10
sequence.items[].draft.brand_context.sources.own_posts.erasedanyOf 1integer父物件內必填
  • minimum: 0
  • maximum: 10
sequence.items[].draft.brand_contextanyOf 2null可選/陣列項目—
sequence.items[].draft.brand_reviewobject | null可選/陣列項目—
sequence.items[].draft.brand_reviewanyOf 1object可選/陣列項目—
sequence.items[].draft.brand_review.rule_versionanyOf 1number父物件內必填
  • const: 1
sequence.items[].draft.brand_review.context_digestanyOf 1string父物件內必填
  • pattern: "^[a-f0-9]{64}$"
sequence.items[].draft.brand_review.content_digestanyOf 1string父物件內必填
  • pattern: "^[a-f0-9]{64}$"
sequence.items[].draft.brand_review.statusanyOf 1string父物件內必填
  • enum: ["clear","attention","unavailable"]
sequence.items[].draft.brand_review.issuesanyOf 1array父物件內必填
  • maxItems: 5151
sequence.items[].draft.brand_review.issues[]anyOf 1object可選/陣列項目—
sequence.items[].draft.brand_review.issues[].codeanyOf 1string父物件內必填
  • enum: ["prohibited_term","locked_fact_missing","conflicting_rule","context_unavailable"]
sequence.items[].draft.brand_review.issues[].targetanyOf 1string父物件內必填
  • minLength: 1
  • maxLength: 80
sequence.items[].draft.brand_review.issues[].rule_indexanyOf 1integer | null父物件內必填—
sequence.items[].draft.brand_review.issues[].rule_indexanyOf 1 / anyOf 1integer父物件內必填
  • minimum: 0
  • maximum: 49
sequence.items[].draft.brand_review.issues[].rule_indexanyOf 1 / anyOf 2null父物件內必填—
sequence.items[].draft.brand_review.issues[].messageanyOf 1string父物件內必填
  • minLength: 1
  • maxLength: 240
sequence.items[].draft.brand_reviewanyOf 2null可選/陣列項目—
sequence.items[].predecessor_post_idstring | null父物件內必填—
sequence.items[].predecessor_post_idanyOf 1string父物件內必填
  • format: "uuid"
  • pattern: "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
sequence.items[].predecessor_post_idanyOf 2null父物件內必填—
sequence.items[].postobject | null父物件內必填—
sequence.items[].postanyOf 1object父物件內必填—
sequence.items[].post.idanyOf 1string父物件內必填
  • pattern: "^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$"
sequence.items[].post.workspace_idanyOf 1string父物件內必填
  • format: "uuid"
  • pattern: "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
sequence.items[].post.social_account_idanyOf 1string | null父物件內必填—
sequence.items[].post.social_account_idanyOf 1 / anyOf 1string父物件內必填
  • format: "uuid"
  • pattern: "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
sequence.items[].post.social_account_idanyOf 1 / anyOf 2null父物件內必填—
sequence.items[].post.platformanyOf 1string父物件內必填
  • enum: ["instagram","threads","facebook","youtube","x"]
sequence.items[].post.destinationanyOf 1object父物件內必填—
sequence.items[].post.destination.social_account_idanyOf 1string | null父物件內必填—
sequence.items[].post.destination.social_account_idanyOf 1 / anyOf 1string父物件內必填
  • format: "uuid"
  • pattern: "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
sequence.items[].post.destination.social_account_idanyOf 1 / anyOf 2null父物件內必填—
sequence.items[].post.destination.platformanyOf 1string父物件內必填
  • enum: ["instagram","threads","facebook","youtube","x"]
sequence.items[].post.destination.platform_user_idanyOf 1string | null父物件內必填—
sequence.items[].post.destination.account_labelanyOf 1string | null父物件內必填—
sequence.items[].post.captionanyOf 1string | null父物件內必填—
sequence.items[].post.hashtagsanyOf 1array父物件內必填—
sequence.items[].post.hashtags[]anyOf 1string可選/陣列項目—
sequence.items[].post.mediaanyOf 1array父物件內必填—
sequence.items[].post.media[]anyOf 1object可選/陣列項目—
sequence.items[].post.media[].kindanyOf 1string父物件內必填
  • enum: ["image","video"]
sequence.items[].post.media[].urlanyOf 1string父物件內必填
  • format: "uri"
sequence.items[].post.media[].cover_urlanyOf 1string | null可選/陣列項目—
sequence.items[].post.media[].cover_urlanyOf 1 / anyOf 1string可選/陣列項目
  • format: "uri"
sequence.items[].post.media[].cover_urlanyOf 1 / anyOf 2null可選/陣列項目—
sequence.items[].post.media[].cover_asset_idanyOf 1integer | null可選/陣列項目—
sequence.items[].post.media[].cover_asset_idanyOf 1 / anyOf 1integer可選/陣列項目
  • maximum: 9007199254740991
  • exclusiveMinimum: 0
sequence.items[].post.media[].cover_asset_idanyOf 1 / anyOf 2null可選/陣列項目—
sequence.items[].post.media[].asset_idanyOf 1integer | null可選/陣列項目—
sequence.items[].post.media[].asset_idanyOf 1 / anyOf 1integer可選/陣列項目
  • maximum: 9007199254740991
  • exclusiveMinimum: 0
sequence.items[].post.media[].asset_idanyOf 1 / anyOf 2null可選/陣列項目—
sequence.items[].post.media[].mime_typeanyOf 1string | null可選/陣列項目—
sequence.items[].post.media[].mime_typeanyOf 1 / anyOf 1string可選/陣列項目
  • minLength: 1
  • maxLength: 160
sequence.items[].post.media[].mime_typeanyOf 1 / anyOf 2null可選/陣列項目—
sequence.items[].post.media[].preview_urlanyOf 1string | null可選/陣列項目

Temporary authorized read URL; keep url as persisted Scheduled Post media identity.

—
sequence.items[].post.media[].preview_urlanyOf 1 / anyOf 1string可選/陣列項目
  • format: "uri"
sequence.items[].post.media[].preview_urlanyOf 1 / anyOf 2null可選/陣列項目—
sequence.items[].post.media[].cover_preview_urlanyOf 1string | null可選/陣列項目

Temporary authorized cover read URL; keep cover_url as persisted media identity.

—
sequence.items[].post.media[].cover_preview_urlanyOf 1 / anyOf 1string可選/陣列項目
  • format: "uri"
sequence.items[].post.media[].cover_preview_urlanyOf 1 / anyOf 2null可選/陣列項目—
sequence.items[].post.media[].preview_expires_atanyOf 1string | null可選/陣列項目—
sequence.items[].post.media[].preview_expires_atanyOf 1 / anyOf 1string可選/陣列項目
  • format: "date-time"
  • pattern: "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z))$"
sequence.items[].post.media[].preview_expires_atanyOf 1 / anyOf 2null可選/陣列項目—
sequence.items[].post.link_urlanyOf 1string | null可選/陣列項目—
sequence.items[].post.link_urlanyOf 1 / anyOf 1string可選/陣列項目
  • format: "uri"
sequence.items[].post.link_urlanyOf 1 / anyOf 2null可選/陣列項目—
sequence.items[].post.publish_optionsanyOf 1object父物件內必填—
sequence.items[].post.publish_options.post_typeanyOf 1string可選/陣列項目
  • enum: ["TEXT","LINK","IMAGE","MULTI_IMAGE","VIDEO","CAROUSEL","REELS","STORY_IMAGE","STORY_VIDEO","REPOST","SHORT"]
sequence.items[].post.publish_options.location_idanyOf 1string可選/陣列項目
  • minLength: 1
sequence.items[].post.publish_options.share_to_feedanyOf 1boolean可選/陣列項目—
sequence.items[].post.publish_options.collaboratorsanyOf 1array可選/陣列項目
  • maxItems: 3
sequence.items[].post.publish_options.collaborators[]anyOf 1string可選/陣列項目
  • minLength: 1
sequence.items[].post.publish_options.first_commentanyOf 1string可選/陣列項目
  • minLength: 1
  • maxLength: 2200
sequence.items[].post.publish_options.topic_taganyOf 1string可選/陣列項目
  • minLength: 1
sequence.items[].post.publish_options.thumb_offset_msanyOf 1integer可選/陣列項目
  • minimum: 0
  • maximum: 9007199254740991
sequence.items[].post.publish_options.titleanyOf 1string可選/陣列項目
  • maxLength: 255
sequence.items[].post.publish_options.youtube_privacy_statusanyOf 1string可選/陣列項目
  • enum: ["private","unlisted","public"]
sequence.items[].post.publish_options.youtube_category_idanyOf 1string可選/陣列項目
  • pattern: "^\\d+$"
sequence.items[].post.publish_options.youtube_contains_synthetic_mediaanyOf 1boolean可選/陣列項目—
sequence.items[].post.publish_options.descriptionanyOf 1string可選/陣列項目
  • maxLength: 5000
sequence.items[].post.publish_options.category_idanyOf 1string可選/陣列項目
  • pattern: "^\\d+$"
sequence.items[].post.publish_options.privacy_statusanyOf 1string可選/陣列項目
  • enum: ["private","unlisted","public"]
sequence.items[].post.publish_options.cancellation_modeanyOf 1string可選/陣列項目
  • enum: ["DELETE","UNSCHEDULE_KEEP_PRIVATE"]
sequence.items[].post.publish_options.tagsanyOf 1array可選/陣列項目—
sequence.items[].post.publish_options.tags[]anyOf 1string可選/陣列項目—
sequence.items[].post.publish_options.default_languageanyOf 1string可選/陣列項目—
sequence.items[].post.publish_options.localizationsanyOf 1object可選/陣列項目
  • additionalProperties: {}
sequence.items[].post.publish_options.localizations.*anyOf 1any JSON value可選/陣列項目—
sequence.items[].post.publish_options.licenseanyOf 1string可選/陣列項目
  • enum: ["youtube","creativeCommon"]
sequence.items[].post.publish_options.embeddableanyOf 1boolean可選/陣列項目—
sequence.items[].post.publish_options.public_stats_viewableanyOf 1boolean可選/陣列項目—
sequence.items[].post.publish_options.self_declared_made_for_kidsanyOf 1boolean可選/陣列項目—
sequence.items[].post.publish_options.contains_synthetic_mediaanyOf 1boolean可選/陣列項目—
sequence.items[].post.publish_options.has_paid_product_placementanyOf 1boolean可選/陣列項目—
sequence.items[].post.publish_options.recording_dateanyOf 1string可選/陣列項目—
sequence.items[].post.publish_options.notify_subscribersanyOf 1boolean可選/陣列項目—
sequence.items[].post.publish_options.thumbnail_asset_idanyOf 1integer可選/陣列項目
  • maximum: 9007199254740991
  • exclusiveMinimum: 0
sequence.items[].post.publish_options.surface_expectationanyOf 1string可選/陣列項目
  • const: "SHORT"
sequence.items[].post.publish_options.brand_partneranyOf 1object可選/陣列項目
  • additionalProperties: {}
sequence.items[].post.publish_options.brand_partner.*anyOf 1any JSON value可選/陣列項目—
sequence.items[].post.publish_options.cover_asset_idanyOf 1integer可選/陣列項目
  • maximum: 9007199254740991
  • exclusiveMinimum: 0
sequence.items[].post.publish_options.audio_nameanyOf 1string可選/陣列項目—
sequence.items[].post.publish_options.trial_paramsanyOf 1object可選/陣列項目
  • additionalProperties: {}
sequence.items[].post.publish_options.trial_params.*anyOf 1any JSON value可選/陣列項目—
sequence.items[].post.publish_options.is_ai_generatedanyOf 1boolean可選/陣列項目—
sequence.items[].post.publish_options.branded_content_sponsor_idsanyOf 1array可選/陣列項目—
sequence.items[].post.publish_options.branded_content_sponsor_ids[]anyOf 1string可選/陣列項目—
sequence.items[].post.publish_options.is_paid_partnershipanyOf 1boolean可選/陣列項目—
sequence.items[].post.publish_options.media_optionsanyOf 1array可選/陣列項目—
sequence.items[].post.publish_options.media_options[]anyOf 1object可選/陣列項目
  • additionalProperties: {}
sequence.items[].post.publish_options.media_options[].*anyOf 1any JSON value可選/陣列項目—
sequence.items[].post.publish_options.reply_to_idanyOf 1string可選/陣列項目—
sequence.items[].post.publish_options.quote_post_idanyOf 1string可選/陣列項目—
sequence.items[].post.publish_options.repost_target_idanyOf 1string可選/陣列項目—
sequence.items[].post.publish_options.reply_controlanyOf 1string可選/陣列項目—
sequence.items[].post.publish_options.enable_reply_approvalsanyOf 1boolean可選/陣列項目—
sequence.items[].post.publish_options.link_attachmentanyOf 1string可選/陣列項目
  • format: "uri"
sequence.items[].post.publish_options.poll_attachmentanyOf 1object可選/陣列項目
  • additionalProperties: {}
sequence.items[].post.publish_options.poll_attachment.*anyOf 1any JSON value可選/陣列項目—
sequence.items[].post.publish_options.gif_attachmentanyOf 1object可選/陣列項目
  • additionalProperties: {}
sequence.items[].post.publish_options.gif_attachment.*anyOf 1any JSON value可選/陣列項目—
sequence.items[].post.publish_options.text_attachmentanyOf 1object可選/陣列項目
  • additionalProperties: {}
sequence.items[].post.publish_options.text_attachment.*anyOf 1any JSON value可選/陣列項目—
sequence.items[].post.publish_options.text_entitiesanyOf 1array可選/陣列項目—
sequence.items[].post.publish_options.text_entities[]anyOf 1object可選/陣列項目
  • additionalProperties: {}
sequence.items[].post.publish_options.text_entities[].*anyOf 1any JSON value可選/陣列項目—
sequence.items[].post.publish_options.is_spoiler_mediaanyOf 1boolean可選/陣列項目—
sequence.items[].post.publish_options.is_ghost_postanyOf 1boolean可選/陣列項目—
sequence.items[].post.publish_options.allowlisted_country_codesanyOf 1array可選/陣列項目—
sequence.items[].post.publish_options.allowlisted_country_codes[]anyOf 1string可選/陣列項目—
sequence.items[].post.publish_options.crossreshare_to_iganyOf 1boolean可選/陣列項目—
sequence.items[].post.publish_options.crossreshare_to_ig_dark_modeanyOf 1boolean可選/陣列項目—
sequence.items[].post.publish_options.auto_publish_textanyOf 1boolean可選/陣列項目—
sequence.items[].post.publish_options.publication_modeanyOf 1string可選/陣列項目
  • enum: ["PUBLISH","DRAFT"]
sequence.items[].post.publish_options.backdated_timeanyOf 1number可選/陣列項目—
sequence.items[].post.publish_options.backdated_time_granularityanyOf 1string可選/陣列項目
  • enum: ["year","month","day","hour","minute"]
sequence.items[].post.publish_options.placeanyOf 1string可選/陣列項目—
sequence.items[].post.publish_options.feed_targetinganyOf 1object可選/陣列項目
  • additionalProperties: {}
sequence.items[].post.publish_options.feed_targeting.*anyOf 1any JSON value可選/陣列項目—
sequence.items[].post.publish_options.targetinganyOf 1object可選/陣列項目
  • additionalProperties: {}
sequence.items[].post.publish_options.targeting.*anyOf 1any JSON value可選/陣列項目—
sequence.items[].post.publish_options.child_attachmentsanyOf 1array可選/陣列項目—
sequence.items[].post.publish_options.child_attachments[]anyOf 1object可選/陣列項目
  • additionalProperties: {}
sequence.items[].post.publish_options.child_attachments[].*anyOf 1any JSON value可選/陣列項目—
sequence.items[].post.publish_options.multi_share_end_cardanyOf 1boolean可選/陣列項目—
sequence.items[].post.publish_options.multi_share_optimizedanyOf 1boolean可選/陣列項目—
sequence.items[].post.publish_options.unpublished_content_typeanyOf 1string可選/陣列項目—
sequence.items[].post.publish_options.no_storyanyOf 1boolean可選/陣列項目—
sequence.items[].post.publish_options.crossposted_video_idanyOf 1string可選/陣列項目—
sequence.items[].post.publish_options.sphericalanyOf 1boolean可選/陣列項目—
sequence.items[].post.scheduled_atanyOf 1string父物件內必填—
sequence.items[].post.display_timezoneanyOf 1string父物件內必填
  • minLength: 1
  • maxLength: 80
sequence.items[].post.local_scheduled_atanyOf 1string | null可選/陣列項目—
sequence.items[].post.local_scheduled_atanyOf 1 / anyOf 1string可選/陣列項目
  • pattern: "^\\d{4}-\\d{2}-\\d{2}T\\d{2}:\\d{2}(?::\\d{2}(?:\\.\\d{1,6})?)?$"
sequence.items[].post.local_scheduled_atanyOf 1 / anyOf 2null可選/陣列項目—
sequence.items[].post.schedule_timezoneanyOf 1string | null可選/陣列項目—
sequence.items[].post.schedule_timezoneanyOf 1 / anyOf 1string可選/陣列項目
  • minLength: 1
  • maxLength: 80
sequence.items[].post.schedule_timezoneanyOf 1 / anyOf 2null可選/陣列項目—
sequence.items[].post.schedule_dst_disambiguationanyOf 1string | null可選/陣列項目—
sequence.items[].post.schedule_dst_disambiguationanyOf 1 / anyOf 1string可選/陣列項目
  • enum: ["exact","earlier","later"]
sequence.items[].post.schedule_dst_disambiguationanyOf 1 / anyOf 2null可選/陣列項目—
sequence.items[].post.schedule_intent_stateanyOf 1string可選/陣列項目
  • enum: ["verified","legacy_unverified"]
sequence.items[].post.expires_atanyOf 1string | null父物件內必填—
sequence.items[].post.statusanyOf 1string父物件內必填
  • enum: ["scheduled","publishing","published","failed","expired","needs_reschedule","cancelled","deleted"]
sequence.items[].post.versionanyOf 1integer父物件內必填
  • maximum: 9007199254740991
  • exclusiveMinimum: 0
sequence.items[].post.automatic_retry_enabledanyOf 1boolean父物件內必填—
sequence.items[].post.delete_requested_atanyOf 1string | null父物件內必填—
sequence.items[].post.deletionanyOf 1object可選/陣列項目—
sequence.items[].post.deletion.stateanyOf 1string父物件內必填
  • enum: ["pending","retry_scheduled","failed","unconfirmed","confirmed","unpublished_cancelled"]
sequence.items[].post.deletion.retry_atanyOf 1string | null父物件內必填—
sequence.items[].post.deletion.retry_atanyOf 1 / anyOf 1string父物件內必填
  • format: "date-time"
  • pattern: "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z))$"
sequence.items[].post.deletion.retry_atanyOf 1 / anyOf 2null父物件內必填—
sequence.items[].post.published_atanyOf 1string | null父物件內必填—
sequence.items[].post.deleted_atanyOf 1string | null父物件內必填—
sequence.items[].post.provider_post_idanyOf 1string | null父物件內必填—
sequence.items[].post.permalinkanyOf 1string | null父物件內必填—
sequence.items[].post.permalinkanyOf 1 / anyOf 1string父物件內必填
  • format: "uri"
sequence.items[].post.permalinkanyOf 1 / anyOf 2null父物件內必填—
sequence.items[].post.created_atanyOf 1string父物件內必填—
sequence.items[].post.updated_atanyOf 1string父物件內必填—
sequence.items[].post.project_idanyOf 1string | null父物件內必填—
sequence.items[].post.project_idanyOf 1 / anyOf 1string父物件內必填
  • format: "uuid"
  • pattern: "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
sequence.items[].post.project_idanyOf 1 / anyOf 2null父物件內必填—
sequence.items[].post.batch_idanyOf 1string | null父物件內必填—
sequence.items[].post.batch_idanyOf 1 / anyOf 1string父物件內必填
  • format: "uuid"
  • pattern: "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
sequence.items[].post.batch_idanyOf 1 / anyOf 2null父物件內必填—
sequence.items[].post.source_refanyOf 1object | null父物件內必填—
sequence.items[].post.source_refanyOf 1 / anyOf 1object父物件內必填
  • additionalProperties: {}
sequence.items[].post.source_ref.*anyOf 1 / anyOf 1any JSON value可選/陣列項目—
sequence.items[].post.source_refanyOf 1 / anyOf 2null父物件內必填—
sequence.items[].postanyOf 2null父物件內必填—
sequence.items[].retry_allowedboolean父物件內必填—
sequence.expected_versionsobject父物件內必填
  • additionalProperties: {"type":"integer","exclusiveMinimum":0,"maximum":9007199254740991}
sequence.expected_versions.*integer可選/陣列項目
  • maximum: 9007199254740991
  • exclusiveMinimum: 0
sequence.actionsarray父物件內必填
  • minItems: 2
  • maxItems: 2
sequence.actions[]object可選/陣列項目—
sequence.actions[].actionstring父物件內必填
  • enum: ["resume","cancel"]
sequence.actions[].allowedboolean父物件內必填—
sequence.actions[].reason_codestring父物件內必填
  • minLength: 1
  • maxLength: 80
sequence.actions[].messagestring父物件內必填
  • maxLength: 1000
replayedboolean可選/陣列項目—
完整 JSON Schema
{
  "$schema": "https://json-schema.org/draft/2020-12/schema",
  "type": "object",
  "properties": {
    "sequence": {
      "type": "object",
      "properties": {
        "workspace_id": {
          "type": "string",
          "format": "uuid",
          "pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
        },
        "id": {
          "type": "string",
          "format": "uuid",
          "pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
        },
        "social_account_id": {
          "type": "string",
          "format": "uuid",
          "pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
        },
        "version": {
          "type": "integer",
          "exclusiveMinimum": 0,
          "maximum": 9007199254740991
        },
        "state": {
          "type": "string",
          "enum": [
            "draft",
            "admitted",
            "cancelled"
          ]
        },
        "item_count": {
          "type": "integer",
          "minimum": 2,
          "maximum": 25
        },
        "caption_preview": {
          "type": "string",
          "maxLength": 500
        },
        "created_at": {
          "type": "string",
          "pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z|([+-](?:[01]\\d|2[0-3]):[0-5]\\d)))$",
          "format": "date-time"
        },
        "updated_at": {
          "type": "string",
          "pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z|([+-](?:[01]\\d|2[0-3]):[0-5]\\d)))$",
          "format": "date-time"
        },
        "items": {
          "minItems": 2,
          "maxItems": 25,
          "type": "array",
          "items": {
            "type": "object",
            "properties": {
              "item_id": {
                "type": "string",
                "format": "uuid",
                "pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
              },
              "ordinal": {
                "type": "integer",
                "minimum": 1,
                "maximum": 25
              },
              "draft": {
                "type": "object",
                "properties": {
                  "id": {
                    "type": "string",
                    "format": "uuid",
                    "pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
                  },
                  "workspace_id": {
                    "type": "string",
                    "format": "uuid",
                    "pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
                  },
                  "revision": {
                    "type": "integer",
                    "exclusiveMinimum": 0,
                    "maximum": 9007199254740991
                  },
                  "state": {
                    "type": "string",
                    "enum": [
                      "draft",
                      "submitting",
                      "submitted"
                    ]
                  },
                  "content": {
                    "type": "object",
                    "properties": {
                      "schemaVersion": {
                        "default": 1,
                        "type": "number",
                        "const": 1
                      },
                      "accountIds": {
                        "default": [],
                        "maxItems": 50,
                        "type": "array",
                        "items": {
                          "type": "string",
                          "format": "uuid",
                          "pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
                        }
                      },
                      "caption": {
                        "default": "",
                        "type": "string",
                        "maxLength": 5000
                      },
                      "hashtags": {
                        "default": "",
                        "type": "string",
                        "maxLength": 5000
                      },
                      "assetIds": {
                        "default": [],
                        "maxItems": 20,
                        "type": "array",
                        "items": {
                          "type": "string",
                          "maxLength": 16,
                          "pattern": "^[1-9][0-9]*$"
                        }
                      },
                      "threadsTextOnly": {
                        "default": false,
                        "type": "boolean"
                      },
                      "threadsOptions": {
                        "type": "object",
                        "properties": {
                          "post_type": {
                            "type": "string",
                            "enum": [
                              "TEXT",
                              "IMAGE",
                              "VIDEO",
                              "CAROUSEL",
                              "REPOST"
                            ]
                          },
                          "reply_to_id": {
                            "type": "string",
                            "maxLength": 128
                          },
                          "quote_post_id": {
                            "type": "string",
                            "maxLength": 128
                          },
                          "repost_target_id": {
                            "type": "string",
                            "maxLength": 128
                          },
                          "reply_control": {
                            "type": "string",
                            "enum": [
                              "everyone",
                              "accounts_you_follow",
                              "mentioned_only",
                              "parent_post_author_only",
                              "followers_only"
                            ]
                          },
                          "enable_reply_approvals": {
                            "type": "boolean"
                          },
                          "link_attachment": {
                            "type": "string",
                            "maxLength": 2048
                          },
                          "poll_attachment": {
                            "type": "object",
                            "properties": {
                              "option_a": {
                                "type": "string",
                                "maxLength": 25
                              },
                              "option_b": {
                                "type": "string",
                                "maxLength": 25
                              },
                              "option_c": {
                                "type": "string",
                                "maxLength": 25
                              },
                              "option_d": {
                                "type": "string",
                                "maxLength": 25
                              }
                            },
                            "required": [
                              "option_a",
                              "option_b"
                            ]
                          },
                          "gif_attachment": {
                            "type": "object",
                            "properties": {
                              "gif_id": {
                                "type": "string",
                                "maxLength": 128
                              },
                              "provider": {
                                "type": "string",
                                "const": "GIPHY"
                              }
                            },
                            "required": [
                              "gif_id",
                              "provider"
                            ]
                          },
                          "text_attachment": {
                            "type": "object",
                            "properties": {
                              "plaintext": {
                                "type": "string",
                                "maxLength": 10000
                              },
                              "link_attachment_url": {
                                "type": "string",
                                "maxLength": 2048
                              },
                              "text_with_styling_info": {
                                "maxItems": 100,
                                "type": "array",
                                "items": {
                                  "type": "object",
                                  "properties": {
                                    "offset": {
                                      "type": "integer",
                                      "minimum": 0,
                                      "maximum": 9007199254740991
                                    },
                                    "length": {
                                      "type": "integer",
                                      "exclusiveMinimum": 0,
                                      "maximum": 9007199254740991
                                    },
                                    "styling_info": {
                                      "minItems": 1,
                                      "type": "array",
                                      "items": {
                                        "type": "string",
                                        "enum": [
                                          "bold",
                                          "italic",
                                          "highlight",
                                          "underline",
                                          "strikethrough"
                                        ]
                                      }
                                    }
                                  },
                                  "required": [
                                    "offset",
                                    "length",
                                    "styling_info"
                                  ]
                                }
                              }
                            },
                            "required": [
                              "plaintext"
                            ]
                          },
                          "topic_tag": {
                            "type": "string",
                            "maxLength": 50
                          },
                          "text_entities": {
                            "maxItems": 10,
                            "type": "array",
                            "items": {
                              "type": "object",
                              "properties": {
                                "entity_type": {
                                  "type": "string",
                                  "enum": [
                                    "SPOILER",
                                    "spoiler"
                                  ]
                                },
                                "offset": {
                                  "type": "integer",
                                  "minimum": 0,
                                  "maximum": 9007199254740991
                                },
                                "length": {
                                  "type": "integer",
                                  "exclusiveMinimum": 0,
                                  "maximum": 9007199254740991
                                }
                              },
                              "required": [
                                "entity_type",
                                "offset",
                                "length"
                              ]
                            }
                          },
                          "is_spoiler_media": {
                            "type": "boolean"
                          },
                          "is_ghost_post": {
                            "type": "boolean"
                          },
                          "location_id": {
                            "type": "string",
                            "maxLength": 128
                          },
                          "allowlisted_country_codes": {
                            "minItems": 1,
                            "maxItems": 249,
                            "type": "array",
                            "items": {
                              "type": "string",
                              "pattern": "^[A-Z]{2}$"
                            }
                          },
                          "crossreshare_to_ig": {
                            "type": "boolean"
                          },
                          "crossreshare_to_ig_dark_mode": {
                            "type": "boolean"
                          },
                          "auto_publish_text": {
                            "type": "boolean"
                          },
                          "media_options": {
                            "maxItems": 20,
                            "type": "array",
                            "items": {
                              "type": "object",
                              "properties": {
                                "asset_id": {
                                  "type": "integer",
                                  "exclusiveMinimum": 0,
                                  "maximum": 9007199254740991
                                },
                                "alt_text": {
                                  "type": "string",
                                  "minLength": 1,
                                  "maxLength": 1000
                                },
                                "is_spoiler_media": {
                                  "type": "boolean"
                                }
                              },
                              "required": [
                                "asset_id"
                              ]
                            }
                          }
                        }
                      },
                      "instagramMode": {
                        "default": "REELS",
                        "type": "string",
                        "enum": [
                          "IMAGE",
                          "REELS",
                          "CAROUSEL",
                          "STORY_IMAGE",
                          "STORY_VIDEO"
                        ]
                      },
                      "youtubeTitle": {
                        "default": "",
                        "type": "string",
                        "maxLength": 100
                      },
                      "youtubePrivacy": {
                        "default": "private",
                        "type": "string",
                        "enum": [
                          "private",
                          "unlisted",
                          "public"
                        ]
                      },
                      "youtubeSynthetic": {
                        "default": false,
                        "type": "boolean"
                      },
                      "youtubeCategoryId": {
                        "default": "",
                        "type": "string",
                        "maxLength": 32
                      },
                      "youtubeShort": {
                        "default": false,
                        "type": "boolean"
                      },
                      "linkUrl": {
                        "default": "",
                        "type": "string",
                        "maxLength": 2048
                      },
                      "scheduledAt": {
                        "default": "",
                        "type": "string",
                        "maxLength": 64
                      },
                      "displayTimezone": {
                        "default": "UTC",
                        "type": "string",
                        "minLength": 1,
                        "maxLength": 128
                      },
                      "publishNow": {
                        "default": false,
                        "type": "boolean"
                      },
                      "destinationOverrides": {
                        "default": {},
                        "type": "object",
                        "propertyNames": {
                          "type": "string",
                          "format": "uuid",
                          "pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
                        },
                        "additionalProperties": {
                          "type": "object",
                          "properties": {
                            "caption": {
                              "type": "string",
                              "maxLength": 5000
                            },
                            "scheduledAt": {
                              "type": "string",
                              "maxLength": 64
                            }
                          }
                        }
                      },
                      "expiresAt": {
                        "default": "",
                        "type": "string",
                        "maxLength": 64
                      }
                    },
                    "required": [
                      "schemaVersion",
                      "accountIds",
                      "caption",
                      "hashtags",
                      "assetIds",
                      "threadsTextOnly",
                      "instagramMode",
                      "youtubeTitle",
                      "youtubePrivacy",
                      "youtubeSynthetic",
                      "youtubeCategoryId",
                      "youtubeShort",
                      "linkUrl",
                      "scheduledAt",
                      "displayTimezone",
                      "publishNow",
                      "destinationOverrides",
                      "expiresAt"
                    ]
                  },
                  "created_by": {
                    "anyOf": [
                      {
                        "type": "string",
                        "format": "uuid",
                        "pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
                      },
                      {
                        "type": "null"
                      }
                    ]
                  },
                  "updated_by": {
                    "anyOf": [
                      {
                        "type": "string",
                        "format": "uuid",
                        "pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
                      },
                      {
                        "type": "null"
                      }
                    ]
                  },
                  "created_at": {
                    "type": "string",
                    "pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z|([+-](?:[01]\\d|2[0-3]):[0-5]\\d)))$",
                    "format": "date-time"
                  },
                  "updated_at": {
                    "type": "string",
                    "pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z|([+-](?:[01]\\d|2[0-3]):[0-5]\\d)))$",
                    "format": "date-time"
                  },
                  "submission": {
                    "anyOf": [
                      {
                        "type": "object",
                        "properties": {
                          "id": {
                            "type": "string",
                            "format": "uuid",
                            "pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
                          },
                          "expected_revision": {
                            "type": "integer",
                            "exclusiveMinimum": 0,
                            "maximum": 9007199254740991
                          },
                          "started_at": {
                            "type": "string",
                            "pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z|([+-](?:[01]\\d|2[0-3]):[0-5]\\d)))$",
                            "format": "date-time"
                          },
                          "receipt": {
                            "anyOf": [
                              {
                                "type": "object",
                                "properties": {
                                  "batch_id": {
                                    "anyOf": [
                                      {
                                        "type": "string",
                                        "format": "uuid",
                                        "pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
                                      },
                                      {
                                        "type": "null"
                                      }
                                    ]
                                  },
                                  "successes": {
                                    "maxItems": 50,
                                    "type": "array",
                                    "items": {
                                      "type": "object",
                                      "properties": {
                                        "social_account_id": {
                                          "type": "string",
                                          "format": "uuid",
                                          "pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
                                        },
                                        "post_id": {
                                          "type": "string",
                                          "pattern": "^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$"
                                        }
                                      },
                                      "required": [
                                        "social_account_id",
                                        "post_id"
                                      ]
                                    }
                                  },
                                  "failures": {
                                    "maxItems": 50,
                                    "type": "array",
                                    "items": {
                                      "type": "object",
                                      "properties": {
                                        "social_account_id": {
                                          "type": "string",
                                          "format": "uuid",
                                          "pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
                                        },
                                        "code": {
                                          "type": "string",
                                          "minLength": 1,
                                          "maxLength": 160
                                        },
                                        "message": {
                                          "type": "string",
                                          "maxLength": 2000
                                        }
                                      },
                                      "required": [
                                        "social_account_id",
                                        "code",
                                        "message"
                                      ]
                                    }
                                  }
                                },
                                "required": [
                                  "batch_id",
                                  "successes",
                                  "failures"
                                ]
                              },
                              {
                                "type": "null"
                              }
                            ]
                          }
                        },
                        "required": [
                          "id",
                          "expected_revision",
                          "started_at",
                          "receipt"
                        ]
                      },
                      {
                        "type": "null"
                      }
                    ]
                  },
                  "brand_context": {
                    "anyOf": [
                      {
                        "type": "object",
                        "properties": {
                          "workspace_id": {
                            "type": "string",
                            "format": "uuid",
                            "pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
                          },
                          "selection": {
                            "type": "object",
                            "properties": {
                              "profile_id": {
                                "type": "string",
                                "format": "uuid",
                                "pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
                              },
                              "version_id": {
                                "type": "string",
                                "format": "uuid",
                                "pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
                              },
                              "revision": {
                                "type": "integer",
                                "exclusiveMinimum": 0,
                                "maximum": 9007199254740991
                              },
                              "content_digest": {
                                "type": "string",
                                "pattern": "^[a-f0-9]{64}$"
                              },
                              "context_digest": {
                                "type": "string",
                                "pattern": "^[a-f0-9]{64}$"
                              }
                            },
                            "required": [
                              "profile_id",
                              "version_id",
                              "revision",
                              "content_digest",
                              "context_digest"
                            ]
                          },
                          "availability": {
                            "type": "string",
                            "enum": [
                              "available",
                              "missing"
                            ]
                          },
                          "profile_state": {
                            "anyOf": [
                              {
                                "type": "string",
                                "enum": [
                                  "active",
                                  "archived"
                                ]
                              },
                              {
                                "type": "null"
                              }
                            ]
                          },
                          "content": {
                            "anyOf": [
                              {
                                "type": "object",
                                "properties": {
                                  "name": {
                                    "type": "string",
                                    "maxLength": 120
                                  },
                                  "audience": {
                                    "type": "string",
                                    "maxLength": 2000
                                  },
                                  "voice": {
                                    "type": "string",
                                    "maxLength": 2000
                                  },
                                  "language": {
                                    "anyOf": [
                                      {
                                        "type": "string",
                                        "minLength": 1,
                                        "maxLength": 64
                                      },
                                      {
                                        "type": "null"
                                      }
                                    ]
                                  },
                                  "preferred_terms": {
                                    "maxItems": 50,
                                    "type": "array",
                                    "items": {
                                      "type": "string",
                                      "minLength": 1,
                                      "maxLength": 120
                                    }
                                  },
                                  "prohibited_terms": {
                                    "maxItems": 50,
                                    "type": "array",
                                    "items": {
                                      "type": "string",
                                      "minLength": 1,
                                      "maxLength": 120
                                    }
                                  },
                                  "locked_facts": {
                                    "maxItems": 50,
                                    "type": "array",
                                    "items": {
                                      "type": "string",
                                      "minLength": 1,
                                      "maxLength": 500
                                    }
                                  },
                                  "call_to_action": {
                                    "anyOf": [
                                      {
                                        "type": "string",
                                        "maxLength": 1000
                                      },
                                      {
                                        "type": "null"
                                      }
                                    ]
                                  }
                                },
                                "required": [
                                  "name",
                                  "audience",
                                  "voice",
                                  "language",
                                  "preferred_terms",
                                  "prohibited_terms",
                                  "locked_facts",
                                  "call_to_action"
                                ]
                              },
                              {
                                "type": "null"
                              }
                            ]
                          },
                          "sources": {
                            "type": "object",
                            "properties": {
                              "website": {
                                "type": "string",
                                "enum": [
                                  "available",
                                  "not_available"
                                ]
                              },
                              "logo": {
                                "type": "string",
                                "enum": [
                                  "none",
                                  "present",
                                  "missing"
                                ]
                              },
                              "own_posts": {
                                "type": "object",
                                "properties": {
                                  "selected": {
                                    "type": "integer",
                                    "minimum": 0,
                                    "maximum": 10
                                  },
                                  "available": {
                                    "type": "integer",
                                    "minimum": 0,
                                    "maximum": 10
                                  },
                                  "unavailable": {
                                    "type": "integer",
                                    "minimum": 0,
                                    "maximum": 10
                                  },
                                  "erased": {
                                    "type": "integer",
                                    "minimum": 0,
                                    "maximum": 10
                                  }
                                },
                                "required": [
                                  "selected",
                                  "available",
                                  "unavailable",
                                  "erased"
                                ]
                              }
                            },
                            "required": [
                              "website",
                              "logo",
                              "own_posts"
                            ]
                          }
                        },
                        "required": [
                          "workspace_id",
                          "selection",
                          "availability",
                          "profile_state",
                          "content",
                          "sources"
                        ]
                      },
                      {
                        "type": "null"
                      }
                    ]
                  },
                  "brand_review": {
                    "anyOf": [
                      {
                        "type": "object",
                        "properties": {
                          "rule_version": {
                            "type": "number",
                            "const": 1
                          },
                          "context_digest": {
                            "type": "string",
                            "pattern": "^[a-f0-9]{64}$"
                          },
                          "content_digest": {
                            "type": "string",
                            "pattern": "^[a-f0-9]{64}$"
                          },
                          "status": {
                            "type": "string",
                            "enum": [
                              "clear",
                              "attention",
                              "unavailable"
                            ]
                          },
                          "issues": {
                            "maxItems": 5151,
                            "type": "array",
                            "items": {
                              "type": "object",
                              "properties": {
                                "code": {
                                  "type": "string",
                                  "enum": [
                                    "prohibited_term",
                                    "locked_fact_missing",
                                    "conflicting_rule",
                                    "context_unavailable"
                                  ]
                                },
                                "target": {
                                  "type": "string",
                                  "minLength": 1,
                                  "maxLength": 80
                                },
                                "rule_index": {
                                  "anyOf": [
                                    {
                                      "type": "integer",
                                      "minimum": 0,
                                      "maximum": 49
                                    },
                                    {
                                      "type": "null"
                                    }
                                  ]
                                },
                                "message": {
                                  "type": "string",
                                  "minLength": 1,
                                  "maxLength": 240
                                }
                              },
                              "required": [
                                "code",
                                "target",
                                "rule_index",
                                "message"
                              ]
                            }
                          }
                        },
                        "required": [
                          "rule_version",
                          "context_digest",
                          "content_digest",
                          "status",
                          "issues"
                        ]
                      },
                      {
                        "type": "null"
                      }
                    ]
                  }
                },
                "required": [
                  "id",
                  "workspace_id",
                  "revision",
                  "state",
                  "content",
                  "created_by",
                  "updated_by",
                  "created_at",
                  "updated_at",
                  "submission"
                ]
              },
              "predecessor_post_id": {
                "anyOf": [
                  {
                    "type": "string",
                    "format": "uuid",
                    "pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
                  },
                  {
                    "type": "null"
                  }
                ]
              },
              "post": {
                "anyOf": [
                  {
                    "type": "object",
                    "properties": {
                      "id": {
                        "type": "string",
                        "pattern": "^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$"
                      },
                      "workspace_id": {
                        "type": "string",
                        "format": "uuid",
                        "pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
                      },
                      "social_account_id": {
                        "anyOf": [
                          {
                            "type": "string",
                            "format": "uuid",
                            "pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
                          },
                          {
                            "type": "null"
                          }
                        ]
                      },
                      "platform": {
                        "type": "string",
                        "enum": [
                          "instagram",
                          "threads",
                          "facebook",
                          "youtube",
                          "x"
                        ]
                      },
                      "destination": {
                        "type": "object",
                        "properties": {
                          "social_account_id": {
                            "anyOf": [
                              {
                                "type": "string",
                                "format": "uuid",
                                "pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
                              },
                              {
                                "type": "null"
                              }
                            ]
                          },
                          "platform": {
                            "type": "string",
                            "enum": [
                              "instagram",
                              "threads",
                              "facebook",
                              "youtube",
                              "x"
                            ]
                          },
                          "platform_user_id": {
                            "type": [
                              "string",
                              "null"
                            ]
                          },
                          "account_label": {
                            "type": [
                              "string",
                              "null"
                            ]
                          }
                        },
                        "required": [
                          "social_account_id",
                          "platform",
                          "platform_user_id",
                          "account_label"
                        ]
                      },
                      "caption": {
                        "type": [
                          "string",
                          "null"
                        ]
                      },
                      "hashtags": {
                        "type": "array",
                        "items": {
                          "type": "string"
                        }
                      },
                      "media": {
                        "type": "array",
                        "items": {
                          "type": "object",
                          "properties": {
                            "kind": {
                              "type": "string",
                              "enum": [
                                "image",
                                "video"
                              ]
                            },
                            "url": {
                              "type": "string",
                              "format": "uri"
                            },
                            "cover_url": {
                              "anyOf": [
                                {
                                  "type": "string",
                                  "format": "uri"
                                },
                                {
                                  "type": "null"
                                }
                              ]
                            },
                            "cover_asset_id": {
                              "anyOf": [
                                {
                                  "type": "integer",
                                  "exclusiveMinimum": 0,
                                  "maximum": 9007199254740991
                                },
                                {
                                  "type": "null"
                                }
                              ]
                            },
                            "asset_id": {
                              "anyOf": [
                                {
                                  "type": "integer",
                                  "exclusiveMinimum": 0,
                                  "maximum": 9007199254740991
                                },
                                {
                                  "type": "null"
                                }
                              ]
                            },
                            "mime_type": {
                              "anyOf": [
                                {
                                  "type": "string",
                                  "minLength": 1,
                                  "maxLength": 160
                                },
                                {
                                  "type": "null"
                                }
                              ]
                            },
                            "preview_url": {
                              "description": "Temporary authorized read URL; keep url as persisted Scheduled Post media identity.",
                              "anyOf": [
                                {
                                  "type": "string",
                                  "format": "uri"
                                },
                                {
                                  "type": "null"
                                }
                              ]
                            },
                            "cover_preview_url": {
                              "description": "Temporary authorized cover read URL; keep cover_url as persisted media identity.",
                              "anyOf": [
                                {
                                  "type": "string",
                                  "format": "uri"
                                },
                                {
                                  "type": "null"
                                }
                              ]
                            },
                            "preview_expires_at": {
                              "anyOf": [
                                {
                                  "type": "string",
                                  "pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z))$",
                                  "format": "date-time"
                                },
                                {
                                  "type": "null"
                                }
                              ]
                            }
                          },
                          "required": [
                            "kind",
                            "url"
                          ]
                        }
                      },
                      "link_url": {
                        "anyOf": [
                          {
                            "type": "string",
                            "format": "uri"
                          },
                          {
                            "type": "null"
                          }
                        ]
                      },
                      "publish_options": {
                        "type": "object",
                        "properties": {
                          "post_type": {
                            "type": "string",
                            "enum": [
                              "TEXT",
                              "LINK",
                              "IMAGE",
                              "MULTI_IMAGE",
                              "VIDEO",
                              "CAROUSEL",
                              "REELS",
                              "STORY_IMAGE",
                              "STORY_VIDEO",
                              "REPOST",
                              "SHORT"
                            ]
                          },
                          "location_id": {
                            "type": "string",
                            "minLength": 1
                          },
                          "share_to_feed": {
                            "type": "boolean"
                          },
                          "collaborators": {
                            "maxItems": 3,
                            "type": "array",
                            "items": {
                              "type": "string",
                              "minLength": 1
                            }
                          },
                          "first_comment": {
                            "type": "string",
                            "minLength": 1,
                            "maxLength": 2200
                          },
                          "topic_tag": {
                            "type": "string",
                            "minLength": 1
                          },
                          "thumb_offset_ms": {
                            "type": "integer",
                            "minimum": 0,
                            "maximum": 9007199254740991
                          },
                          "title": {
                            "type": "string",
                            "maxLength": 255
                          },
                          "youtube_privacy_status": {
                            "type": "string",
                            "enum": [
                              "private",
                              "unlisted",
                              "public"
                            ]
                          },
                          "youtube_category_id": {
                            "type": "string",
                            "pattern": "^\\d+$"
                          },
                          "youtube_contains_synthetic_media": {
                            "type": "boolean"
                          },
                          "description": {
                            "type": "string",
                            "maxLength": 5000
                          },
                          "category_id": {
                            "type": "string",
                            "pattern": "^\\d+$"
                          },
                          "privacy_status": {
                            "type": "string",
                            "enum": [
                              "private",
                              "unlisted",
                              "public"
                            ]
                          },
                          "cancellation_mode": {
                            "type": "string",
                            "enum": [
                              "DELETE",
                              "UNSCHEDULE_KEEP_PRIVATE"
                            ]
                          },
                          "tags": {
                            "type": "array",
                            "items": {
                              "type": "string"
                            }
                          },
                          "default_language": {
                            "type": "string"
                          },
                          "localizations": {
                            "type": "object",
                            "propertyNames": {
                              "type": "string"
                            },
                            "additionalProperties": {}
                          },
                          "license": {
                            "type": "string",
                            "enum": [
                              "youtube",
                              "creativeCommon"
                            ]
                          },
                          "embeddable": {
                            "type": "boolean"
                          },
                          "public_stats_viewable": {
                            "type": "boolean"
                          },
                          "self_declared_made_for_kids": {
                            "type": "boolean"
                          },
                          "contains_synthetic_media": {
                            "type": "boolean"
                          },
                          "has_paid_product_placement": {
                            "type": "boolean"
                          },
                          "recording_date": {
                            "type": "string"
                          },
                          "notify_subscribers": {
                            "type": "boolean"
                          },
                          "thumbnail_asset_id": {
                            "type": "integer",
                            "exclusiveMinimum": 0,
                            "maximum": 9007199254740991
                          },
                          "surface_expectation": {
                            "type": "string",
                            "const": "SHORT"
                          },
                          "brand_partner": {
                            "type": "object",
                            "propertyNames": {
                              "type": "string"
                            },
                            "additionalProperties": {}
                          },
                          "cover_asset_id": {
                            "type": "integer",
                            "exclusiveMinimum": 0,
                            "maximum": 9007199254740991
                          },
                          "audio_name": {
                            "type": "string"
                          },
                          "trial_params": {
                            "type": "object",
                            "propertyNames": {
                              "type": "string"
                            },
                            "additionalProperties": {}
                          },
                          "is_ai_generated": {
                            "type": "boolean"
                          },
                          "branded_content_sponsor_ids": {
                            "type": "array",
                            "items": {
                              "type": "string"
                            }
                          },
                          "is_paid_partnership": {
                            "type": "boolean"
                          },
                          "media_options": {
                            "type": "array",
                            "items": {
                              "type": "object",
                              "propertyNames": {
                                "type": "string"
                              },
                              "additionalProperties": {}
                            }
                          },
                          "reply_to_id": {
                            "type": "string"
                          },
                          "quote_post_id": {
                            "type": "string"
                          },
                          "repost_target_id": {
                            "type": "string"
                          },
                          "reply_control": {
                            "type": "string"
                          },
                          "enable_reply_approvals": {
[...]
